# Config

{% tabs %}
{% tab title="QBCore" %}

```lua
DockerizeFunctions = {}

DockerizeFunctions.ClientNotify = function(text, type)
    QBCore.Functions.Notify(text, type)
end

DockerizeFunctions.GeneratePlateRandomizer = function()
    return "DV " .. math.random(10000, 99999)
end

Config = {}

Config.MenuCommand = "donate"          -- Menu open command name
Config.Framework = "newqb"             -- newqb / oldqb | newqb = export system | oldqb = triggerevent system
Config.Mysql = "mysql-async"           -- Check fxmanifest.lua when you change it! |  oxmysql / mysql-async
Config.DefaultGarage = "pillboxgarage" -- Garage name where the vehicle will be sent after purchase
Config.DefaultAirGarage = "intairport" -- Garage name where the air vehicle will be sent after purchase
Config.WeaponType = "item"             -- item or weapon
Config.UseTebex = false                -- Do you use tebex to sell code?
Config.SpamProtectionEnabled = true    -- Spam protect menu open and closes, (Recommended: true)
Config.DiscordWebHookURL = "" -- For Logs

Config.Homepage = {
    avatarImage = "/html/images/avatar.png",
    bestSeller = {
        {
            categoryId = "vehicle",
            category = "Vehicle",
            itemName = "ZENTORNO",
            itemNameWhite = "SUPER SPORT",
            itemImage = "/html/images/category-vehicle.png"
        },
        {
            categoryId = "air",
            category = "AIR",
            itemName = "FROGGER",
            itemNameWhite = "HELICOPTER",
            itemImage = "/html/images/air-item.png"
        }
    }
}

-- Do not add new categories
-- If you want to remove a category, you can put it in the comment line
-- If you put a category in the comment line, put the products sold in that category in the comment line
-- you should not change (id)
Config.Categories = {
    {
        id = "vehicle", -- do not change
        label = "VEHICLE",
        items = {
            {
                itemId = 10,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno", -- Spawn model coded of the vehicle that will be given when the product is received
                price = 1500,       -- The price to be paid for the product
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 15,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 20,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 25,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 30,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 35,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
        }
    },
    {
        label = "AIR",
        id = "air",
        items = {
            {
                itemId = 80,
                title = "Frogger",
                type = "Helicopter",
                model = "frogger",
                price = 2500,
                image = "/html/images/air-item.png"
            },
        }
    },
    {
        label = "WEAPON",
        id = "weapon",
        items = {
            {
                itemId = 85,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "weapon_pistol",
                giveAmmoName = "pistol_ammo",
                giveAmmo = 1,
                image = "/html/images/weapon-item.png"
            },
            {
                itemId = 90,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "weapon_assaultrifle",
                giveAmmoName = "rifle_ammo",
                giveAmmo = 1,
                image = "/html/images/weapon-item.png"
            },
            {
                itemId = 95,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "weapon_advancedrifle",
                giveAmmoName = "rifle_ammo",
                giveAmmo = 1,
                image = "/html/images/weapon-item.png"
            },
            {
                itemId = 100,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "weapon_advancedrifle",
                giveAmmoName = "rifle_ammo",
                giveAmmo = 1,
                image = "/html/images/weapon-item.png"
            },
        }
    },
    {
        label = "MONEY",
        id = "money",
        items = {
            {
                itemId = 105,
                title = "$50.000",
                giveAmount = 50000, -- In-game money to be given to the character after purchase
                price = 200,        -- Credit to be paid for the product
                image = "/html/images/money-item.png"
            },
            {
                itemId = 110,
                title = "$100.000",
                giveAmount = 100000,
                price = 400,
                image = "/html/images/money-item.png"
            },
            {
                itemId = 115,
                title = "$150.000",
                giveAmount = 150000,
                price = 600,
                image = "/html/images/money-item.png"
            },
            {
                itemId = 120,
                title = "$200.000",
                giveAmount = 200000,
                price = 800,
                image = "/html/images/money-item.png"
            },
        }
    },
    {
        label = "ITEMS",
        id = "items",
        items = {
            {
                itemId = 125,
                title = "Water",
                type = "Item",
                giveName = "water_bottle",
                price = 50,
                image = "/html/images/water-bottle.png"
            },
        }
    }
}

Config.BuyPackages = {
    {
        title = "$500",
        credit = 5000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-1.png"
    },
    {
        title = "$1000",
        credit = 10000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-2.png"
    },
    {
        title = "$1500",
        credit = 15000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-3.png"
    },
    {
        title = "$2000",
        credit = 20000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-4.png"
    },
}

Config.Translate = {
    logoTitleColored = "DOCKERIZE",
    logoTitleWhite = "DONATE",
    bestSeller = "<span class='colored'>BEST</span> SELLER",
    doYoNeedMoneyTitle = "DO YOU <br /> <span class='colored'>NEED A MONEY?</span>",
    redeemCodeTitle = "REDEEM <span class='colored'>CODE</span>",
    redeemCodeInputPlaceholder = "Write your redeem code",
    redeemCodeWarning = "No such code was found or the code may have been used.",
    redeemCodeSuccessful = "Redeem code successfully used!",
    approve = "APPROVE",
    buyCredit = "BUY CREDIT",
    close = "CLOSE",
    cancel = "CANCEL",
    backToHome = "BACK TO HOME",
    buy = "BUY",
    buyMoney = "BUY MONEY",
    buyQuestion = "DO YOU WANT TO BUY?",
    buyQuestionDesc = "Are you sure you want to buy the products below?",
    purchaseSuccessful = "You have successfully purchased!",
    insufficientBalance = "Insufficient Balance",
    fillAlertText = "Please fill in the relevant field.",
    errorAlertText = "An error has occurred. Please try again later.",
    spamProtectionAlertText = "SPAM PROTECTION PLEASE WAIT 30 SECONDS!",
}
```

{% endtab %}

{% tab title="ESX" %}

```lua
DockerizeFunctions = {}

DockerizeFunctions.ClientNotify = function(text, type)
    ESX.ShowNotification(text)
end

DockerizeFunctions.GeneratePlateRandomizer = function()
    return "DV " .. math.random(10000, 99999)
end

Config = {}

Config.MenuCommand = "donate"                -- Menu open command name
Config.Framework = "newEsx"                  -- esx / newEsx | esx = triggerevent system | newEsx = export system
Config.Mysql = "oxmysql"                     -- Check fxmanifest.lua when you change it! | oxmysql / mysql-async
Config.DefaultGarage = "SanAndreasAvenue"    -- Garage name where the vehicle will be sent after purchase
Config.DefaultAirGarage = "SanAndreasAvenue" -- Garage name where the air vehicle will be sent after purchase
Config.WeaponType = "weapon"                 -- item or weapon
Config.UseTebex = true                       -- Do you use tebex to sell code?
Config.SpamProtectionEnabled = true          -- Spam protect menu open and closes, (Recommended: true)
Config.DiscordWebHookURL = ""                -- For Logs

Config.Homepage = {
    avatarImage = "/html/images/avatar.png",
    bestSeller = {
        {
            categoryId = "vehicle",
            category = "Vehicle",
            itemName = "ZENTORNO",
            itemNameWhite = "SUPER SPORT",
            itemImage = "/html/images/category-vehicle.png"
        },
        {
            categoryId = "air",
            category = "AIR",
            itemName = "FROGGER",
            itemNameWhite = "HELICOPTER",
            itemImage = "/html/images/air-item.png"
        }
    }
}

-- Do not add new categories
-- If you want to remove a category, you can put it in the comment line
-- If you put a category in the comment line, put the products sold in that category in the comment line
-- you should not change (id)
Config.Categories = {
    {
        id = "vehicle", -- do not change
        label = "VEHICLE",
        items = {
            {
                itemId = 10,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno", -- Spawn model coded of the vehicle that will be given when the product is received
                price = 1500,       -- The price to be paid for the product
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 15,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 20,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 25,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 30,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
            {
                itemId = 35,
                title = "Zentorno",
                type = "Super Sport",
                model = "zentorno",
                price = 1500,
                image = "/html/images/vehicle-item.png"
            },
        }
    },
    {
        label = "AIR",
        id = "air",
        items = {
            {
                itemId = 80,
                title = "Frogger",
                type = "Helicopter",
                model = "frogger",
                price = 2500,
                image = "/html/images/air-item.png"
            },
        }
    },
    {
        label = "WEAPON",
        id = "weapon",
        items = {
            {
                itemId = 85,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "WEAPON_PISTOL",
                giveAmmoName = "pistol_ammo",
                giveAmmo = 200,
                image = "/html/images/weapon-item.png"
            },
            {
                itemId = 90,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "weapon_assaultrifle",
                giveAmmoName = "rifle_ammo",
                giveAmmo = 200,
                image = "/html/images/weapon-item.png"
            },
            {
                itemId = 95,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "weapon_advancedrifle",
                giveAmmoName = "rifle_ammo",
                giveAmmo = 200,
                image = "/html/images/weapon-item.png"
            },
            {
                itemId = 100,
                title = "Assault Rifle",
                type = "Rifle",
                price = 2000,
                giveName = "weapon_advancedrifle",
                giveAmmoName = "rifle_ammo",
                giveAmmo = 200,
                image = "/html/images/weapon-item.png"
            },
        }
    },
    {
        label = "MONEY",
        id = "money",
        items = {
            {
                itemId = 105,
                title = "$50.000",
                giveAmount = 50000, -- In-game money to be given to the character after purchase
                price = 200,        -- Credit to be paid for the product
                image = "/html/images/money-item.png"
            },
            {
                itemId = 110,
                title = "$100.000",
                giveAmount = 100000,
                price = 400,
                image = "/html/images/money-item.png"
            },
            {
                itemId = 115,
                title = "$150.000",
                giveAmount = 150000,
                price = 600,
                image = "/html/images/money-item.png"
            },
            {
                itemId = 120,
                title = "$200.000",
                giveAmount = 200000,
                price = 800,
                image = "/html/images/money-item.png"
            },
        }
    },
    {
        label = "ITEMS",
        id = "items",
        items = {
            {
                itemId = 125,
                title = "Water",
                type = "Item",
                giveName = "water",
                price = 50,
                image = "/html/images/water-bottle.png"
            },
            {
                itemId = 130,
                title = "Phone",
                type = "Item",
                giveName = "phone",
                price = 50,
                image = "/html/images/water-bottle.png"
            },
        }
    }
}

Config.BuyPackages = {
    {
        title = "$500",
        credit = 5000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-1.png"
    },
    {
        title = "$1000",
        credit = 10000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-2.png"
    },
    {
        title = "$1500",
        credit = 15000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-3.png"
    },
    {
        title = "$2000",
        credit = 20000, -- Credit amount displayed on the screen
        link = "https://dockerize.tebex.io/package/6205438",
        image = "/html/images/package-4.png"
    },
}

Config.Translate = {
    logoTitleColored = "DOCKERIZE",
    logoTitleWhite = "DONATE",
    bestSeller = "<span class='colored'>BEST</span> SELLER",
    doYoNeedMoneyTitle = "DO YOU <br /> <span class='colored'>NEED A MONEY?</span>",
    redeemCodeTitle = "REDEEM <span class='colored'>CODE</span>",
    redeemCodeInputPlaceholder = "Write your redeem code",
    redeemCodeWarning = "No such code was found or the code may have been used.",
    redeemCodeSuccessful = "Redeem code successfully used!",
    approve = "APPROVE",
    buyCredit = "BUY CREDIT",
    close = "CLOSE",
    cancel = "CANCEL",
    backToHome = "BACK TO HOME",
    buy = "BUY",
    buyMoney = "BUY MONEY",
    buyQuestion = "DO YOU WANT TO BUY?",
    buyQuestionDesc = "Are you sure you want to buy the products below?",
    purchaseSuccessful = "You have successfully purchased!",
    insufficientBalance = "Insufficient Balance",
    fillAlertText = "Please fill in the relevant field.",
    errorAlertText = "An error has occurred. Please try again later.",
    spamProtectionAlertText = "SPAM PROTECTION PLEASE WAIT 30 SECONDS!",
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dockerizescripts.com/scripts/vip-system/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
